#include<avr/io.h>
#include<avr/interrupt.h>


#define XX PORTD|=0b01000000;
#define YY PORTD&=0b10111111;

void init()
{     
   DDRA = 0;DDRB = 0;DDRC = 0;DDRD = 0;
   PORTA = 0;PORTB = 0;PORTC = 0;PORTD = 0;   



//Fr Ton PD6 als digitalen Ausgang setzen:
    DDRD |= 0b11000000;
}

//Resonnanzfrequenz der Kugel: 263Hz.
//ALT: Bei 2 Schritten pro Zuweisung und 1901 Zuweisungen: f = 1000000/(2*1901) = 263,019Hz 
//Bei 1 Schritt!!!
//es werden 1900 Schritte genommen:

int main(void)                    
{    
    unsigned long zaehler = 0;
    init();

    while(1)
    {

    if(zaehler%1000==0)
    {
        DDRD |= 0b11000000;
        zaehler%=1000;
        PORTD |= 0b10000000;        
    }    
    if(zaehler%1000==4)
    {
        DDRD &=0b01111111;
        //PORTD&=0b01111111;
    }
    zaehler++;
//Nun ist es so, dass am Anfang und Ende sehr viele Nuller auftreten (YY)
//Diese werden gelscht.
//Das schafftZeit fr die restlichen Programmteile!

//100 zu Beginn lschen:
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY 
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY 
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY 
YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY XX YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY 
XX YY YY YY YY YY YY YY YY XX YY YY XX YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY YY XX XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY XX XX YY YY YY YY YY YY 
YY XX YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY XX YY YY YY YY YY YY YY YY XX YY YY YY YY XX YY XX YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY XX YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY XX XX YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY 
YY YY YY XX YY YY YY XX YY XX YY YY YY XX YY YY YY YY YY YY YY XX XX YY YY YY YY YY YY YY YY YY YY YY XX YY YY XX YY YY YY XX YY YY YY YY YY YY YY YY YY XX XX YY YY YY YY XX YY YY YY YY YY XX YY YY YY XX YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY XX YY YY XX YY YY XX YY YY YY YY YY XX YY YY YY YY 
YY XX YY YY XX YY YY XX YY YY YY YY YY XX XX YY YY YY YY YY YY YY YY XX YY YY YY YY YY XX YY YY YY XX XX YY XX YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY XX YY XX YY YY YY XX YY YY XX YY YY YY YY YY YY YY XX XX YY YY YY YY YY XX YY YY YY YY YY XX YY XX YY YY YY YY YY XX YY YY XX YY YY YY YY YY 
YY YY XX XX XX XX YY YY YY YY YY YY YY YY YY YY XX YY YY YY XX YY YY YY YY YY YY YY XX YY YY YY XX YY YY YY XX XX YY XX YY YY YY YY YY XX XX YY YY YY YY YY YY YY XX YY YY YY YY YY XX YY XX YY YY XX YY XX XX YY YY YY YY YY YY YY YY YY YY YY XX XX YY YY YY YY YY XX YY YY YY YY YY XX YY YY XX YY XX XX 
YY YY YY XX YY YY YY XX YY YY XX YY YY YY YY YY XX YY YY YY XX YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY XX YY YY XX YY YY YY YY YY XX YY XX YY XX YY XX YY XX YY YY YY YY XX YY YY YY YY YY YY YY YY YY XX XX YY YY YY YY YY XX XX YY YY YY YY YY XX YY YY YY YY YY XX XX YY YY YY YY XX XX YY XX YY 
YY YY YY YY YY YY YY XX YY YY XX YY YY YY YY XX YY YY YY XX YY YY YY YY YY XX YY XX YY YY YY XX XX YY YY YY YY XX YY XX YY YY YY YY YY YY XX YY YY YY XX YY YY YY YY YY XX YY YY XX XX YY YY YY YY XX YY YY XX YY YY YY YY XX YY YY YY XX YY YY XX YY YY YY YY YY YY YY YY YY XX YY YY XX XX YY YY YY YY XX 
YY XX YY YY YY XX YY YY YY XX YY YY YY YY YY XX YY YY YY YY YY XX YY YY YY YY YY XX YY YY YY XX YY YY XX YY YY YY YY YY YY YY XX YY XX XX YY YY YY YY XX YY YY YY YY YY YY XX YY YY YY YY XX YY YY YY YY XX YY YY YY YY XX YY YY XX YY YY XX YY YY YY YY YY YY YY YY YY YY XX XX YY YY YY YY YY YY XX YY XX 
YY YY YY XX YY YY YY XX YY YY YY XX YY YY YY YY YY YY YY XX XX YY YY YY YY YY YY YY YY YY YY YY YY XX XX XX YY YY YY YY XX YY YY YY YY YY YY YY YY XX YY YY XX YY XX YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY YY YY YY YY YY XX YY YY YY XX YY XX YY YY YY YY YY YY YY YY YY XX YY YY XX YY YY YY YY YY 
YY XX YY YY YY YY YY YY YY YY XX YY YY YY XX XX YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY XX YY YY YY YY XX YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY XX YY YY YY XX YY YY XX YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY XX YY YY YY YY YY YY XX YY YY 
YY YY YY YY YY YY YY YY YY YY XX YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY XX YY YY YY YY YY YY XX YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY XX YY YY YY YY YY XX YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY 
YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY XX YY YY 
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY 
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY XX YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY 
YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY YY
//..und 100 am Ende.
//Somit verbleiben 1700 Aufrufe.

    }//Ende while(1)
}