#include <avr/io.h>                        
                                           
#include "passiv.h"                        
#include "led.h"                           
#include "sensor.h"     
#include "infrarot.h"     
#include "periode.h"     

#define BEGINN          \
int main(void)                             \
{                                          \
    initPassiv();                          \
    initRot1();initGruen1();initBlau1();   \
    initRot2();initGruen2();initBlau2();   \
    initInfrarot();                        \
    initPeriode();                         \
                                           \
    long pause;                            \
                                           \
    while(1)                               \
    {                                      

#define S1 sensor1()
#define S2 sensor2()
#define S3 sensor3()
#define S4 sensor4()
#define S5 sensor5()

#define EinR1 setzeEinRot1() 
#define EinG1 setzeEinGruen1() 
#define EinB1 setzeEinBlau1() 
#define EinR2 setzeEinRot2() 
#define EinG2 setzeEinGruen2() 
#define EinB2 setzeEinGruen2() 

#define AusR1 setzeAusRot1() 
#define AusG1 setzeAusGruen1() 
#define AusB1 setzeAusBlau1() 
#define AusR2 setzeAusRot2() 
#define AusG2 setzeAusGruen2() 
#define AusB2 setzeAusGruen2() 

#define Pause(DAUER) for(pause=0;pause<DAUER;pause++) DDRC=0;

#define EinSendeIR sendenEin()
#define EinEmpfangeIR empfangenEin()
#define AusSendeIR sendenAus()
#define AusEmpfangeIR empfangenAus()

#define ENDE                               \
        while(TCNT0<PERIODE);              \
        TCNT0=0;                           \
        ZEIT++;                            \
        ZEIT%=ZEITMAX;                     \
    }                                      \
}
