#include<stdio.h>
#include<math.h>
#include <stdlib.h>

//#define SPEICHER 4672
#define SPEICHER 2000
#define FENSTER_RADIUS 40
#define OPTI_SCHRITTE 200000
#define MAXWERT 0.7

//Kompilieren:
//gcc -lm -o  sinusopti_minusPIhalbe_1MHz sinusopti_minusPIhalbe_1MHz.c


int main()
{
    double sinus[SPEICHER];
    int arr[SPEICHER];
    long i;
    int position,p,q;
    double t,fehler_alt,fehler_neu,summe,differenz;
    srand( time(NULL) );
    //Initialisierung
    for(i=0;i<SPEICHER;i++)
    {
        t = (double)i/(double)(SPEICHER);
        sinus[i] = MAXWERT*0.5*(sin(2.0*M_PI*t-0.5*M_PI)+1.0);  //PI/2 zurck, um Null am Anfang und Ende zu haben!
        arr[i]=0;
    }        

    for(i=0;i<OPTI_SCHRITTE;i++)
    {
        position = rand()%SPEICHER;
        arr[position] = 1 - arr[position];
        fehler_neu = 0.0;
        for(p=0;p<SPEICHER;p++)
        {
            summe = 0.0;
            q = (p-FENSTER_RADIUS+SPEICHER)%SPEICHER;
            while(q!=(p+FENSTER_RADIUS+1)%SPEICHER)
            {
                summe+=(double)arr[q];   
                q++;
                q%=SPEICHER;
            }
            summe/=(double)(FENSTER_RADIUS+FENSTER_RADIUS+1);
            fehler_neu += (summe - sinus[p])*(summe - sinus[p]);
                           
        }
if(i%100==0)
printf("%i von %i: %f\n",i,OPTI_SCHRITTE,fehler_neu);
        if(i==0 || fehler_neu<fehler_alt)
        {
            fehler_alt = fehler_neu;

        }
        else
        {
            arr[position] = 1-arr[position];
        }
    }

    printf("Ausgabe:\n");
    for(i=0;i<SPEICHER;i++)
    {
        if(i>0 && i%100==0)
        printf("\n");    

        if(arr[i]>0)
            printf("XX ");    
        else
            printf("YY ");    

    }
}