#include <avr/io.h>               

void init()
{
   DDRA = 0;
   DDRB = 0;
   DDRC = 0;
   DDRD = 0;

   DDRD |= 0b00110010;
   PORTD &= 0b11111101; //PD1==TXD hier einfach auf Masse ziehen!

   ICR1 = 17;  //fr 1MHz

   TCCR1A = (1<<COM1A1) | (0<<COM1A0) | (1<<COM1B1) | (0<<COM1B0) 
          | (0<<FOC1A) | (0<<FOC1B) | (1<<WGM11) | (0<<WGM10);
   TCCR1B = (0<<ICNC1) | (0<<ICES1) | (1<<WGM13) | (0<<WGM12) 
          | (0<<CS12) | (0<<CS11) | (1<<CS10);

   OCR1A = 8; //PWM-Breite auf 50% setzen.
   OCR1B = 8; //PWM-Breite auf 50% setzen.
}

int main(void)                    
{      
   long pause;

   init();

   while(1)                       
   {                              
        OCR1A = 8;
        OCR1B = 8;
        for(pause=0;pause<50000;pause++)
            DDRB = 0;
        OCR1A = 0;
        OCR1B = 0;
        for(pause=0;pause<50000;pause++)
            DDRB = 0;
   }                              
}

