#include <avr/io.h>                        
                                           
#include "passiv.h"                        
#include "led.h"                           
#include "sensor.h"     
#include "infrarot.h"     
#include "periode.h"     
#include "ton.h"     

#define BEGINN          \
int main(void)                             \
{                                          \
    initPassiv();                          \
    initRot1();initGruen1();initBlau1();   \
    initRot2();initGruen2();initBlau2();   \
    initInfrarot();                        \
    initPeriode();                         \
    initTon();                             \
                                           \
    long pause;                            \
    unsigned int HellR1=0;                 \
    unsigned int HellG1=0;                 \
    unsigned int HellB1=0;                 \
    unsigned int HellR2=0;                 \
    unsigned int HellG2=0;                 \
    unsigned int HellB2=0;                 \
                                           \
    unsigned int ZEIT    = 0;              \
    unsigned int ZEITMAX = 100;            \
    unsigned int GROSSZEIT    = 0;         \
    unsigned int GROSSZEITMAX = 10;        \
    unsigned char PERIODE = 100;           \
                                           \
                                           \
    while(1)                               \
    {                                      

#define S1 sensor1()
#define S2 sensor2()
#define S3 sensor3()
#define S4 sensor4()
#define S5 sensor5()

#define EinR1 setzeEinRot1() 
#define EinG1 setzeEinGruen1() 
#define EinB1 setzeEinBlau1() 
#define EinR2 setzeEinRot2() 
#define EinG2 setzeEinGruen2() 
#define EinB2 setzeEinGruen2() 

#define AusR1 setzeAusRot1() 
#define AusG1 setzeAusGruen1() 
#define AusB1 setzeAusBlau1() 
#define AusR2 setzeAusRot2() 
#define AusG2 setzeAusGruen2() 
#define AusB2 setzeAusGruen2() 

#define Pause(DAUER) for(pause=0;pause<DAUER;pause++) DDRC=0;

#define EinSendeIR sendenEin()
#define EinEmpfangeIR empfangenEin()
#define AusSendeIR sendenAus()
#define AusEmpfangeIR empfangenAus()


#define ENDE                               \
if(ZEIT<HellR1) EinR1; else AusR1;         \
if(ZEIT<HellG1) EinG1; else AusG1;         \
if(ZEIT<HellB1) EinB1; else AusB1;         \
if(ZEIT<HellR2) EinR2; else AusR2;         \
if(ZEIT<HellG2) EinG2; else AusG2;         \
if(ZEIT<HellB2) EinB2; else AusB2;         \
        while(TCNT0<PERIODE);              \
        TCNT0=0;                           \
        ZEIT++;                            \
        if(ZEIT>=ZEITMAX)                  \
        {                                  \
            ZEIT=0;                        \
            GROSSZEIT++;                   \
            GROSSZEIT%=GROSSZEITMAX;       \
        }                                  \
    }                                      \
}




